<?php

/**
 * @version    CVS: 1.0.0
 * @package    Mod_Metgis
 * @author     Bergwerk Web & Multimedia OG <info@bergwerk.co>
 * @copyright  2016 MetGIS Gmbh
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;


// Include the syndicate functions only once
require_once __DIR__ . '/assets/metgis.class.php';

$metgis = new metGisPlugin($params);
$metgis->render($params);

$document = JFactory::getDocument();
$document->addStyleSheet(JURI::root().'modules/mod_metgis/assets/metgis.css');

class metGisPlugin {
	
	public function __construct($params) {
		
		
	}
	
	public function render($params) {
		
		$defaultOptions = array(
			"location"=>"47.211290,11.452218",
			"alt"=>"2200",
			"days"=>"4",
			"cachefile"=>JPATH_BASE.'/modules/mod_metgis/cache/',
			"title" => "MetGIS",
					);
					
		$instance=json_decode(JModuleHelper::getModule('mod_metgis')->params,true);
		$metgis = new metgisWeather(array_merge($defaultOptions,$instance));

		$data = $metgis->data;
		$info = $data->info;
		$data = $data->data;

		$imagepath = JURI::root().'modules/mod_metgis/images/icons';
		
		require JModuleHelper::getLayoutPath('mod_metgis', $params->get('layout', 'default'));
	}
	
	public function lang($code) {
		return JText::_("MOD_METGIS_".$code);
	}
}
